LOCALE.ALIAS(5)

NAME
locale.alias - locale alias file

SYNOPSIS
locale.alias

DESCRIPTION
The locale.alias file describes locale aliases. Each line of this file can be described as the following BNF:

    line			:=	src ws dst
    src			:=	locale_name
    			|	locale_category_name
    ws			:=	white spaces
    dst			:=	locale_name
    			|	"/FORCE"
    locale_category_name	:=	locale_name '/' category_name
    category_name		:=	"LC_CTYPE"
    			|	"LC_COLLATE"
    			|	"LC_TIME"
    			|	"LC_NUMERIC"
    			|	"LC_MONETARY"
    			|	"LC_MESSAGES"
    locale_name		:=	locale name

FILES
/usr/share/locale/locale.alias
    This file.

EXAMPLES

    ja_JP.UTF-8/LC_CTYPE		en_US.UTF-8

This means that “ja_JP.UTF-8” for LC_CTYPE category is redirected to “en_US.UTF-8”.

    Pig				/FORCE

This means that “Pig” for all categories is forcibly enabled.

SEE ALSO
locale(1), nls(7)

HISTORY
The locale.alias file appeared in NetBSD 3.0.